// Headers available at
// http://www.quickersoft.com/donkey/index.html

// NOTE: INCLUDE Environment variable must be set to headers path

#DEFINE WINVER NTDDI_WINXP
#DEFINE FILTERAPI

#DEFINE LINKFILES
#DEFINE LINKVCRT

#DEFINE CCUSEORDINALS

#include "WINDOWS.H"
#include "Commctrl.h"
#include "macros.h"
#include "exdisp.h"
#include "atlbase.h"
#include "itss.h"

URLTBL STRUCT
	// An offset in this file can be converted to an index into the #TOPICS file, without reading
	// this file using the following formula: index = ((offset%4096)+((offset/4096)*4096-4))/12
	unknown1 DD // Unknown. I suspect that this is either some kind of unique ID or two WORDs
	dwTopicIndex DD // Index of entry in #TOPICS file.
	pUrlString DD // Offset in #URLSTR file of entry containing filename.
ENDS

URLSTR STRUCT
	pUrl DD // 	Offset of the URL for this topic.
	pFrame DD // 	Offset of the FrameName for this topic.
	szFilename DB // ANSI/UTF-8 NULL Terminated string that is the Local for this topic
ENDS

TOPICS STRUCT
	// An index into this file can be converted to an offset in the #URLTBL file, without reading
	// this file using the following formula: offset = (index%341)*12 + index/341*4096
	pTOCIdxTree DD // Offset into the tree in the #TOCIDX file.
	pName DD // Offset in #STRINGS file of the contents of the title tag or the Name param of the file in question. -1 = no title.
	pURLTBL DD // Offset in #URLTBL of entry containing offset to #URLSTR entry containing the URL.
	fContents DW // 2 indicates not in contents, 6 indicates that it is in the contents, 0/4 something else (unknown)
	unknown1 DW // ??
ENDS

OPENCHM STRUCT
	pwszFile	DD
	pITSStore	DD
	pStorage	DD
ENDS

IVB STRUCT
	alias DD // The value of the alias
	pName // Offset in #STRINGS file of the file to show
ends

#DEFINE ENUM_STGTY_STORAGE 1
#DEFINE ENUM_STGTY_STREAM 2
#DEFINE ENUM_STGTY_LOCKBYTES 3
#DEFINE ENUM_STGTY_PROPERTY 4
#DEFINE ENUM_STGTY_ALL ENUM_STGTY_STORAGE|ENUM_STGTY_STREAM|ENUM_STGTY_LOCKBYTES|ENUM_STGTY_PROPERTY
