#IFNDEF ITSS_H
#DEFINE ITSS_H

#IFNDEF OAIDL_H
	#include "oaidl.h"
#ENDIF

#IFNDEF Unknown
	Unknown STRUCT
	   QueryInterface		DD
	   AddRef				DD
	   Release				DD
	ENDS
#ENDIF

ITS_Control_Data STRUCT
	cdwControlData DD
	adwControlData DD
ENDS

// enum ECompactionLev
COMPACT_DATA = 0
COMPACT_DATA_AND_PATH = 1

// May be the TLBID ??
#define GUID_IID_IITStorage <0x88cc31de,0x27ab,0x11d0,<0x9d,0xf9,0x00,0xa0,0xc9,0x22,0xe6,0xec>>

;[
;  object,
;  uuid(88cc31de-27ab-11d0-9df9-00a0c922e6ec),
;  pointer_default(unique)
;]

IITStorage STRUCT
	IUnknown Unknown <>
	StgCreateDocfile PTR
	StgCreateDocfileOnILockBytes PTR
	StgIsStorageFile PTR
	StgIsStorageILockBytes PTR
	StgOpenStorage PTR
	StgOpenStorageOnILockBytes PTR
	StgSetTimes PTR
	SetControlData PTR
	DefaultControlData PTR
	Compact PTR
ENDS

/*
interface IITStorage : IUnknown
{
    HRESULT StgCreateDocfile(
        [in] const WCHAR * pwcsName,
        [in] DWORD grfMode,
        [in] DWORD reserved,
        [out] IStorage ** ppstgOpen);

    HRESULT StgCreateDocfileOnILockBytes(
        [in] ILockBytes * plkbyt,
        [in] DWORD grfMode,
        [in] DWORD reserved, 
        [out] IStorage ** ppstgOpen);


    HRESULT StgIsStorageFile(
        [in] const WCHAR * pwcsName);

    HRESULT StgIsStorageILockBytes(
        [in] ILockBytes * plkbyt);

    HRESULT StgOpenStorage(
        [in] const WCHAR * pwcsName,
        [in] IStorage * pstgPriority,
        [in] DWORD grfMode,
        [in] SNB snbExclude,
        [in] DWORD reserved,
        [out] IStorage ** ppstgOpen);

    HRESULT StgOpenStorageOnILockBytes(
        [in] ILockBytes * plkbyt,
        [in] IStorage * pStgPriority,
        [in] DWORD grfMode,
        [in] SNB snbExclude,
        [in] DWORD reserved,
        [out] IStorage ** ppstgOpen);

    HRESULT StgSetTimes(
        [in] WCHAR const * lpszName,
        [in] FILETIME const * pctime,
        [in] FILETIME const * patime,
        [in] FILETIME const * pmtime);

    HRESULT SetControlData(
        [in] PITS_Control_Data pControlData);
    
    HRESULT DefaultControlData(
        [out] PITS_Control_Data * ppControlData);

    HRESULT Compact(
        [in] const WCHAR * pwcsName,
        [in] ECompactionLev iLev);
}
*/

#DEFINE GUID_CLSID_ITStorage <0x5d02926a,0x212e,0x11d0,<0x9d,0xf9,0x00,0xa0,0xc9,0x22,0xe6,0xec>>
#DEFINE GUID_CLSID_MSFSStore <0xd54eee56,0xaaab,0x11d0,<0x9e,0x1d,0x00,0xa0,0xc9,0x22,0xe6,0xec>>
#DEFINE GUID_CLSID_MSITStore <0x9d148290,0xb9c8,0x11d0,<0xa4,0xcc,0x00,0x00,0xf8,0x01,0x49,0xf6>>
#DEFINE GUID_CLSID_ITSProtocol <0x9d148291,0xb9c8,0x11d0,<0xa4,0xcc,0x00,0x00,0xf8,0x01,0x49,0xf6>>

#ENDIF